Bug 567240 - Review Request: libgeier-0.11 -- Need Sponsor
Review Request: libgeier-0.11 -- Need Sponsor
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 567241
  Show dependency treegraph
 
Reported: 2010-02-22 07:17 EST by Dirk Gottschalk
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-12 07:06:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dirk Gottschalk 2010-02-22 07:17:31 EST
I have created a Package of libgeier for the german vat prepayment.

Link to Spec-file: http://it-internet-service.de/fedora/libgeier.spec
Link to SRPM: http://it-internet-service.de/fedora/libgeier-0.11-1.fc12.src.rpm

I need a Sponsor. So could someone please review this package and tell me if
everything is ok and it works right?

Regards,
Dirk
Comment 1 Ralf Corsepius 2010-02-22 11:24:48 EST
This package has a lot of issues - rpmlint output with comments interspersed:

# rpmlint /var/lib/mock/fedora-12-i386/result/*rpm


libgeier.i686: W: spelling-error Summary(en_US) german -> German, germane, merman
libgeier.i686: W: spelling-error %description -l en_US german -> German, germane, merman

- In English, "German" is always written in captial letters.


libgeier.i686: W: no-version-in-last-changelog

- You need to add versions to %changelog entries:
.... <xxx@foo.bar> - 0.11-1


libgeier.i686: W: no-url-tag

- URL:-Tag is missing.


libgeier.i686: E: standard-dir-owned-by-package /usr/include

- Your package must not own /usr/include. Also, files below /usr/include do not belong into "base"-packages, but into *-devel packages.

libgeier.i686: W: devel-file-in-non-devel-package /usr/lib/libgeier.a

- 1) Shipping static libs is strongly being frowned upon in Fedora.
Please append "--disable-static" to %configure
  2) libs belong into *-devel packages.

libgeier.i686: E: zero-length /usr/share/doc/libgeier-0.11/ChangeLog

- Shipping an empty file is pointless. Don't ship it.

libgeier.i686: E: postin-without-ldconfig /usr/lib/libgeier.so.0.0.0

- Your spec lacks %post -p /sbin/ldconfig

libgeier.i686: E: library-without-ldconfig-postun /usr/lib/libgeier.so.0.0.0

- Your spec lacks %postun -p /sbin/ldconfig

libgeier.i686: E: standard-dir-owned-by-package /usr/share/man/man1

- Package must not own /usr/share/man/man1

libgeier.i686: W: devel-file-in-non-devel-package /usr/lib/libgeier.so

- *.so's belong into *-devel packages.

libgeier.i686: E: standard-dir-owned-by-package /usr/share/man

- Same as above

libgeier.i686: W: devel-file-in-non-devel-package /usr/lib/pkgconfig/libgeier.pc

- *.pc's belong into *-devel packages.

libgeier.i686: W: empty-%pre
libgeier.i686: W: empty-%post
libgeier.src: W: spelling-error Summary(en_US) german -> German, germane, merman
libgeier.src: W: spelling-error %description -l en_US german -> German, germane, merman
libgeier.src: W: no-version-in-last-changelog
libgeier.src: W: no-url-tag
libgeier.src:48: E: hardcoded-library-path in /usr/lib/debug
libgeier.src:56: E: files-attr-not-set
libgeier.src:57: E: files-attr-not-set
libgeier.src: W: no-buildroot-tag
- c.f. the Fedora Packaging Guidelines.

libgeier.src: W: invalid-url Source0: libgeier-0.11.tar.gz
- Source0: is supposed to point to a valid upstream URL.


libgeier-debuginfo.i686: W: no-version-in-last-changelog
libgeier-debuginfo.i686: W: no-url-tag
libgeier-devel.i686: W: no-dependency-on libgeier/libgeier-libs/liblibgeier
libgeier-devel.i686: W: spelling-error Summary(en_US) german -> German, germane, merman
libgeier-devel.i686: W: no-version-in-last-changelog
libgeier-devel.i686: W: no-url-tag


libgeier-devel.i686: W: unstripped-binary-or-object /usr/lib/debug/usr/lib/libgeier.so.0.0.0.debug
libgeier-devel.i686: E: shared-lib-without-dependency-information /usr/lib/debug/usr/lib/libgeier.so.0.0.0.debug
libgeier-devel.i686: W: unstripped-binary-or-object /usr/lib/debug/usr/bin/geier.debug
libgeier-devel.i686: E: statically-linked-binary /usr/lib/debug/usr/bin/geier.debug
libgeier-devel.i686: W: no-documentation
libgeier-devel.i686: E: library-without-ldconfig-postin /usr/lib/debug/usr/lib/libgeier.so.0.0.0.debug
libgeier-devel.i686: E: library-without-ldconfig-postun /usr/lib/debug/usr/lib/libgeier.so.0.0.0.debug
libgeier-devel.i686: W: dangling-relative-symlink /usr/lib/debug/.build-id/0e/bd6cc0f171a58ed0a3f875502b803779d9c468 ../../../../bin/geier
libgeier-devel.i686: W: hidden-file-or-dir /usr/lib/debug/.build-id
libgeier-devel.i686: W: hidden-file-or-dir /usr/lib/debug/.build-id
libgeier-devel.i686: E: library-without-ldconfig-postin /usr/lib/libgeier.so.0.0.0
libgeier-devel.i686: E: library-without-ldconfig-postun /usr/lib/libgeier.so.0.0.0

- Most of these are side-effects of other packaging bugs already mentioned before.
Comment 2 Christoph Wickert 2010-02-22 19:01:08 EST
I suggest to install the package rpmdevtools and then start with a fresh spec from "rpmdev-newspec libgeier". The template will help you fixing a lot of the problems Ralf pointed out. You can then fill in the rest from the old spec.
Comment 3 Dirk Gottschalk 2010-02-24 05:27:10 EST
I repaired and re-uploade the files. The locations are:

SRPM: http://it-internet-service.de/fedora/libgeier-0.11-1.fc12.src.rpm
Spec: http://it-internet-service.de/fedora/libgeier.spec

I checked with rpmlint and it seems to be ok for me.

Thanks to Christoph for the good advice to start with a new spec. This helped.

Please check again and tell me your results.

Regards,
Dirk
Comment 4 Ralf Corsepius 2010-02-24 05:41:27 EST
(In reply to comment #3)
> I repaired and re-uploade the files.
Please make yourself familiar with Fedora's review process.

https://fedoraproject.org/wiki/Package_Review_Process

In particuliar, increment your package's "release" tag each time you update your submission. 

> The locations are:
> 
> SRPM: http://it-internet-service.de/fedora/libgeier-0.11-1.fc12.src.rpm
> Spec: http://it-internet-service.de/fedora/libgeier.spec


> I checked with rpmlint and it seems to be ok for me.
Not for me:

libgeier.src: W: spelling-error %description -l en_US german -> German, germane, merman
libgeier.src:12: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
libgeier.src: W: invalid-url Source0: libgeier-0.11.tar.gz
libgeier.x86_64: W: spelling-error %description -l en_US german -> German, germane, merman
libgeier.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/geier ['/usr/lib64']
libgeier.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/libgeier.pc
libgeier.x86_64: E: zero-length /usr/share/doc/libgeier-0.11/ChangeLog
libgeier.x86_64: E: standard-dir-owned-by-package /usr/share/man/man1
libgeier.x86_64: E: standard-dir-owned-by-package /usr/share/man
libgeier-devel.x86_64: W: no-documentation

The binary-or-shlib-defines-rpath, standard-dir-owned-by-package, invalid-url are MUSTFIXES.
Comment 5 Christoph Wickert 2010-02-24 05:51:49 EST
Some comments in addition to what Ralf pointed out already:

- You can remove all the Requires:, rpm well generate dependencies on libs automatically and more accurate.

- typo/grammar fault: "Function" -> "functions"

- "Library" -> "library"

- %description should end with a dot.

- move the line with the docs to the start of the files section where you currently have the empty line starting with %doc.

- in the -devel package you should remove the empty %doc line too.
Comment 6 Ralf Corsepius 2010-03-03 23:15:12 EST
Ping?

Dirk, any update on this?

Shouldn't I be hearing from you within 1 week, I'll close this review.
Comment 7 Ralf Corsepius 2010-03-12 07:06:12 EST
(In reply to comment #6)
> Shouldn't I be hearing from you within 1 week, I'll close this review.    
No response from submitter -> CLOSING.

Note You need to log in before you can comment on or make changes to this bug.